//Chamada das bibliotecas
#include "DWIN_COMM.h"
#include <Preferences.h>

//Configuração das bibliotecas
DWIN Comm3(115200, &Serial1, true, 99); // TTL
//DWIN Comm3(115200, &Serial2, true, 2); // 485
Preferences pref;

//Variáveis de comunicação com a IHM
uint16_t IHM_STA_Pagina = 0;
int16_t IHM_STA_Password = 0;
int16_t IHM_STA_Velocidade_Act = 0;
int16_t IHM_STA_Contador_Act = 0;
int16_t IHM_BTN_Contador = 0;
int16_t IHM_BTN_Reset = 0;
int16_t IHM_BTN_Parada = 0;
int16_t IHM_PAR_Tempo_On = 0;
int16_t IHM_PAR_Tempo_Off = 0;
int16_t IHM_PAR_Velocidade = 0;
int16_t IHM_PAR_Parada = 0;

//Variáveis de controle
uint16_t VAR_AUX_Pagina = 0;
int16_t VAR_AUX_Comm = 0;
int VAR_State = 0;
unsigned long TMR_Velocidade = 0;
unsigned long TMR_Seconds = 0;

#include "IHM_Ctrl.h"
#include "IHM_Start.h"
#include "Simul_Ctrl.h"

void setup() {
  //Inicializa comunicações
  Serial.begin(115200); //USB
  Serial1.begin(115200, SERIAL_8N1, 22, 21); // (TTL)
  Serial2.begin(115200); //485

  //Inicia eeprom
  pref.begin("my-app", false);
  //pref.clear();
  //delay(100000);

  //Resgata parêmetros da EEPROM
  IHM_PAR_Tempo_On = pref.getInt("Tempo_On", 0);
  IHM_PAR_Tempo_Off = pref.getInt("Tempo_Off", 0);
  IHM_PAR_Velocidade = pref.getInt("Speed", 0);
  IHM_PAR_Parada = pref.getInt("Parada", 0);
  
  delay(3000);//Aguarda 3 segundos na tela de apresentação
  
  for (int count = 0; count < 2; count++) {
    IHM_Start();
    if (VAR_State < 4){
      count = 0;
    }
  }
  VAR_State = 0;
  
}

void loop() {
  // put your main code here, to run repeatedly:
  IHM_Ctrl();
  Simul_Ctrl();

}
